# UrlArtifactRepository

interface UrlArtifactRepository

A repository that supports resolving artifacts from a URL.

#### Since

6.0

#### Inheritors

MavenArtifactRepository
IvyArtifactRepository

## Functions

getUrl
Link copied to clipboard
abstract fun getUrl(): URI
The base URL of this repository.
isAllowInsecureProtocol
Link copied to clipboard
abstract fun isAllowInsecureProtocol(): Boolean
Specifies whether it is acceptable to communicate with a repository over an insecure HTTP connection.
setAllowInsecureProtocol
Link copied to clipboard
abstract fun setAllowInsecureProtocol(allowInsecureProtocol: Boolean)
Specifies whether it is acceptable to communicate with a repository over an insecure HTTP connection.
setUrl
Link copied to clipboard
abstract fun setUrl(url: Any)
abstract fun setUrl(url: URI)
Sets the base URL of this repository.